Bug 159842 - [PATCH] lang/python27: fix pkg-plist in case of building with WITHOUT_THREADS
Summary: [PATCH] lang/python27: fix pkg-plist in case of building with WITHOUT_THREADS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-17 18:20 UTC by R.Mahmatkhanov
Modified: 2011-08-19 14:12 UTC (History)
0 users

See Also:


Attachments
file.diff (1.39 KB, patch)
2011-08-17 18:20 UTC, R.Mahmatkhanov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description R.Mahmatkhanov 2011-08-17 18:20:01 UTC
Fix pkg-plist of lang/python27 in case of installing with WITHOUT_THREADS knob set. Python doesn't install %%PYTHON_LIBDIR%%/lib-dynload/_multiprocessing.so in that case.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-08-17 18:20:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Li-Wen Hsu freebsd_committer 2011-08-18 18:41:16 UTC
Responsible Changed
From-To: freebsd-python->lwhsu

I'll take it.
Comment 3 dfilter service freebsd_committer 2011-08-19 14:09:38 UTC
lwhsu       2011-08-19 13:09:30 UTC

  FreeBSD ports repository

  Modified files:
    lang/python26        Makefile pkg-plist 
    lang/python27        Makefile pkg-plist 
    lang/python31        Makefile pkg-plist 
    lang/python32        Makefile pkg-plist 
  Log:
  - Fix pkg-plist when building with WITHOUT_THREADS
  
  PR:             ports/159842
  Submitted by:   Ruslan Mahmatkhanov <cvs-src@yandex.ru>
  
  Revision  Changes    Path
  1.173     +2 -0      ports/lang/python26/Makefile
  1.85      +1 -1      ports/lang/python26/pkg-plist
  1.176     +2 -0      ports/lang/python27/Makefile
  1.86      +1 -1      ports/lang/python27/pkg-plist
  1.171     +3 -1      ports/lang/python31/Makefile
  1.87      +1 -1      ports/lang/python31/pkg-plist
  1.175     +3 -1      ports/lang/python32/Makefile
  1.91      +1 -1      ports/lang/python32/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Li-Wen Hsu freebsd_committer 2011-08-19 14:11:51 UTC
State Changed
From-To: open->closed

Committed. Thanks!  PORTREVISION did not be bumped since WITHOUT_THREADS 
is not default.  And also fixed other versions.